# Packmangroup: Multimedia &gt; xine
# Packmanpackagename: xine-lib
# Packman : Manfred Tremmel
# Packmanpackagedesc: <p>Great video and multimediaplayer, supports DVD, MPEG, AVI, DivX, VCD, Quicktime ...</p><p>You need a frontend for xine-lib like <a href="http://packman.links2linux.org/index.php4?action=125">xine-ui</a>, <a href="http://packman.links2linux.org/index.php4?action=216">gxine</a>, <a href="http://packman.links2linux.org/index.php4?action=325">kaffeine</a> or <a href="http://packman.links2linux.org/index.php4?action=297">kxine</a></p><p>Since 1-rc6 the package number is reduced, all you may miss, is in the base package</p><p>If you want to play css encrypted Video-DVD's, you need to install <a href="http://packman.links2linux.de/?action=122">libdvdcss</a>.</p>
# Packmanpackagedesc_de: <p>Gro&szlig;artiger Video- und Multimediaplayer mit Support f&uuml;r DVD, MPEG, AVI, DivX, VCD,Quicktime ...</p><p>Bitte beachten Sie, dass Sie neben der xine-lib auch eine Bedienoberfl&auml;che wie <a href="http://packman.links2linux.de/index.php4?action=125">xine-ui</a>, <a href="http://packman.links2linux.de/index.php4?action=216">gxine</a>, <a href="http://packman.links2linux.de/index.php4?action=325">kaffeine</a> oder <a href="http://packman.links2linux.de/index.php4?action=297">kxine</a> ben&ouml;tigen.</p><p>Seit 1-rc6 wurde die Zahl der Pakete reduziert, alles was sie eventuell vermissen, wurde in das Basispaket integriert.</p><p>Wenn Sie css verschl&uuml;sselte Video-DVDs abspielen wollen, m&uuml;ssen Sie zus&auml;tzlich die <a href="http://packman.links2linux.de/?action=122">libdvdcss</a> installieren.</p>
%define shortname  libxine
%define name       libxine1
%define version    1_rc7
%define dirversion 1.0.0
%define release    0

%define major      1
%define libname    %{shortname}%{major}

# Build separat packages:
# 1 create a sparate package
# 0 include files in main package
%define BUILD_AA        1
%define BUILD_DEVEL     1
%define BUILD_DVB       1
%define BUILD_DXR3      1
%define BUILD_GNOME_VFS 1
%define BUILD_SDL       1
%define BUILD_DIRECTFB  1
%define BUILD_SYNCFB    1
%define BUILD_XVMC      1
%define BUILD_STK       1

Name:           %{name}
# Packmandesc: A portable video/audio library for unix-like systems. Basic package.
# Packmandesc_de: Eine portabele Audio-/Video-Bibliothek fuer unixartige Systeme. Basispaket.
# Packmandepends: w32codec alsa libogg libvorbis libtheora speex
Summary:        A portable video/audio library for unix-like systems.
Summary(cs):    Přenositelná video a audio knihovna pro unixovské systémy
Summary(de):    Eine portabele Audio-/Video-Bibliothek für unixartige Systeme.
Summary(fi):    Joustava video- ja ääniohjelmointikirjasto Unix-tyylisille käyttöjärjestelmille.
Version:        %{version}
Release:        %{release}
License:        GPL
Group:          Development/Libraries
URL:            http://xinehq.de

Source0:        xine-lib-1-rc7.tar.bz2

#Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
#Vendor:         Packman
#Distribution:   SUSE Linux 9.2 (i586)
BuildPreReq:    alsa >= 0.9
BuildPreReq:    alsa-devel >= 0.9
BuildPreReq:    arts >= 1.0
BuildPreReq:    arts-devel >= 1.0
BuildPreReq:    audiofile
BuildPreReq:    esound
BuildPreReq:    esound-devel
BuildPreReq:    flac
BuildPreReq:    flac-devel
%if %suse_version >= 910
BuildPreReq:    freeglut
BuildPreReq:    freeglut-devel
%else
BuildPreReq:    mesaglut
BuildPreReq:    mesaglut-devel
%endif
BuildPreReq:    freetype2
BuildPreReq:    freetype2-devel
BuildPreReq:    glib2
BuildPreReq:    glib2-devel
BuildPreReq:    glibc
BuildPreReq:    glibc-devel
BuildPreReq:    libmng
BuildPreReq:    libmng-devel
BuildPreReq:    libogg >= 1.1
BuildPreReq:    libogg-devel >= 1.1
BuildPreReq:    libpng
BuildPreReq:    libpng-devel
BuildPreReq:    libtheora >= 0.9_1.0alpha3
BuildPreReq:    libtheora-devel >= 0.9_1.0alpha3
BuildPreReq:    libvorbis >= 1.0.1
BuildPreReq:    libvorbis-devel >= 1.0.1
BuildPreReq:    ncurses
BuildPreReq:    ncurses-devel
BuildPreReq:    slang
BuildPreReq:    slang-devel
BuildPreReq:    speex >= 1.1
BuildPreReq:    speex-devel >= 1.1
%if %suse_version > 810
BuildPreReq:    XFree86-libs
BuildPreReq:    XFree86-devel
%else
BuildPreReq:    xf86
BuildPreReq:    xf86tools
BuildPreReq:    mesa
BuildPreReq:    mesa-devel
%endif
#BuildPreReq:    libmodplug
BuildPreReq:    libcaca-devel
BuildPreReq:    libstk-devel
BuildPreReq:    zlib
Requires:       alsa >= 0.9
Requires:       arts >= 1.0
Requires:       audiofile
Requires:       esound
Requires:       flac
%if %suse_version >= 910
Requires:       freeglut
%else
Requires:       mesaglut
%endif
Requires:       freetype2
Requires:       glib2
Requires:       glibc
Requires:       libmng
Requires:       libogg >= 1.1
Requires:       libpng
Requires:       libtheora >= 0.9_1.0alpha3
Requires:       libvorbis >= 1.0.1
Requires:       ncurses
Requires:       slang
Requires:       speex >= 1.1
Requires:       zlib
Requires:       openssl
Requires:       libjpeg
Requires:       liblcms
Requires:       libpng
Requires:       popt
Requires:       xshared
%ifarch i386 i486 i586 i686 i786 i868 i986 k6 k7 athlon ia32e
Requires:       w32codec-all >= 20040809
%endif
Obsoletes:      xine
Obsoletes:      xine-lib
Obsoletes:      xine-lib-oss
Obsoletes:      xine-lib-xv
Obsoletes:      libxine0
Obsoletes:      %{shortname}
Obsoletes:      xine-vcdx
Obsoletes:      xine-lib-alsa09
Obsoletes:      libxine0-alsa09
Obsoletes:      %{libname}-alsa09
Obsoletes:      xine-lib-arts
Obsoletes:      libxine0-arts
Obsoletes:      %{libname}-arts
Obsoletes:      xine-lib-esd
Obsoletes:      libxine0-esd
Obsoletes:      %{libname}-esd
Obsoletes:      xine-lib-opengl
Obsoletes:      libxine0-opengl
Obsoletes:      %{libname}-opengl
Obsoletes:      xine-dvdnav
Obsoletes:      %{libname}-dvd
Obsoletes:      %{libname}-flac
Obsoletes:      xine-lib-oggvorbis
Obsoletes:      %{libname}-oggvorbis
Obsoletes:      %{libname}-oggtheora
Obsoletes:      %{libname}-ogg
Obsoletes:      xine-lib-w32dll
Obsoletes:      libxine0-w32dll
Obsoletes:      %{libname}-w32dll
Provides:       xine
Provides:       xine-lib
Provides:       %{shortname} = %{version}-%{release}
Provides:       xine-vcdx
Provides:       xine-lib-alsa09
Provides:       libxine0-alsa09
Provides:       %{libname}-alsa09
Provides:       xine-lib-arts
Provides:       libxine0-arts
Provides:       %{libname}-arts
Provides:       xine-lib-esd
Provides:       libxine0-esd
Provides:       %{libname}-esd
Provides:       xine-lib-opengl
Provides:       libxine0-opengl
Provides:       %{libname}-opengl
Provides:       xine-dvdnav
Provides:       %{libname}-dvd
Provides:       %{libname}-flac
Provides:       xine-lib-oggvorbis
Provides:       %{libname}-oggvorbis
Provides:       %{libname}-oggtheora
Provides:       %{libname}-ogg
Provides:       xine-lib-w32dll
Provides:       libxine0-w32dll
Provides:       %{libname}-w32dll
BuildRoot:      %{_tmppath}/%{name}-buildrootrelease

%description
libxine is the beating heart of xine (a free gpl-licensed video player for
unix-like systems) which among others provides support for decoding (and
playing back) of many today available audio/video codecs, like mpeg-4 (DivX),
mpeg-2 (DVD, SVCD), mpeg-1 (VCD), Quicktime and RealMedia just to name a few.
This library contains (and uses) numerous processor specific optimizations to
provide a smooth playback and to minimize the overall demand of CPU power.

Don't hesitate to use libxine in your own projects as long as your usage
complies to the GPL. More information about GPL-license can be found at
http://www.gnu.org/licenses/gpl.html

%description -l cs
libxine je tepající srdce xine (svobodného videopřehrávače pod licencí GPL pro
unixovské systémy). Mimo jiné poskytuje podporu pro dekódování (a přehrávání)
mnoha dnes dostupnými audio a video kodeky jako jsou např. mpeg-4 (DivX),
mpeg-2 (DVD, SVCD), mpeg-1 (VCD), Quicktime a RealMedia. Tato knihovna používá
četné procesorově závislé optimalizace k dosažení plynulého přehrávání a
zmenšení celkového nároku na výkon procesoru.

Dokud to bude ve shodě s GPL, neváhejte použít libxine ve vašich vlastních
projektech. Více informací o GPL licenci můžete nalézt na
http://www.gnu.org/licenses/gpl.html.

%description -l de
libxine ist das Herzstück von xine (einem freien, GPL lizensiertem Audio- und
Video-Abspielprogramm für unixartige Systeme). libxine stellt die Funktionen
zur Dekodierung und Wiedergabe vieler aktueller Audio- und Videocodecs zur
Verfügung, wie z.B. MPEG-4 (DivX), MPEG-2 (DVD, SVCD) und MPEG-1 (VCD),
Quicktime und RealMedia um nur einige zu nennen.
Die Bibliothek enthält und benutzt eine Vielzahl von prozessorspezifischen
Optimierungen, um eine flüssige Wiedergabe mit minimaler Prozessorbelastung
gewährleisten zu könnnen.

Zögern Sie nicht libxine in Ihren eigenen Projekten zu nutzen. Beachten Sie
hierzu jedoch die in der GPL Lizenz vereinbarten Bestimmungen. Weitere
Informationen zur GPL-Lizenz finden Sie unter http://www.gnu.org/licenses/gpl.html

%description -l fi
libxine on xinen sydän (vapaa GPL-linsensoitu videosoitinohjelma Unix-tyylisille
käyttöjärjestelmille), joka muun muassa tarjoaa mahdollisuudet pakatun videon
ja äänen purkamiseen (sekä näyttämiseen) suurimmalla osalla nykyaikaista äänen-
ja kuvanpakkausformaateista.
Tällaisia ovat mpeg-4 (DivX;-)), mpeg-2 (DVD, SVCD), mpeg-1 (VCD) muutamia
mainitaksemme. xinen purkukirjasto käyttää monia matalan tason prosessoripohjaisia
optimisaatiomenetelmiä tarjotakseen sulavan kuvantoistokokemuksen. Tämä on tarpeen
myös minimoimaan tarvittavaa prosessoritehoa.

Olet tervetullut käyttämään libxine:a omissa projekteissasi kunhan ne ovat GPL-
lisenssin kanssa yhteensopivia. lisätietoja GPL-lisenssistä löytyy osoitteesta:
http://www.gnu.org/licenses/gpl.html

%if %BUILD_DEVEL
%package devel
# Packmandesc: Development package, for all people, who want to compile Programms, using xine-lib.
# Packmandesc_de: Entwicklerpaket, fuer alle die selbst Programme compilieren wollen, die die xine-lib verwenden.
# Packmandepends: libxine1
Summary:        Header files and documentation to develope programs with libxine.
Summary(cs):    Hlavičkové soubory a dokumentace pro vývoj programů, které používají libxine
Summary(de):    Headerdateien und Dokumentationen, um Programme mit libxine entwickeln zu können.
Summary(fi):    Header-tiedostot ja dokumentaatio, joita tarvitset kehittäessäsi ohjelmia libxine:n kanssa.
Group:	       Development/Libraries
Obsoletes:      xine-lib-devel
Obsoletes:      xine-devel
Obsoletes:      libxine0-devel
Provides:       %{shortname}-devel = %{version}-%{release}
Provides:       xine-devel
Requires:       %{libname} = %{version}-%{release}

%description devel
This package contains header files and documentation required to develope
programs with libxine.

libxine is the beating heart of xine (a free gpl-licensed video player for
unix-like systems) which among others provides support for decoding (and
playing back) of many today available audio/video codecs, like mpeg-4 (DivX),
mpeg-2 (DVD, SVCD), mpeg-1 (VCD), Quicktime and RealMedia just to name a few.
This library contains (and uses) numerous processor specific optimizations to
provide a smooth playback and to minimize the overall demand of CPU power.

Don't hesitate to use libxine in your own projects as long as your usage
complies to the GPL. More information about GPL-license can be found at
http://www.gnu.org/licenses/gpl.html

%description devel -l cs
Tento balíček obsahuje hlavičkové soubory a dokumentaci potřebnou pro vývoj
programů, které používají libxine.

libxine je tepající srdce xine (svobodného videopřehrávače pod licencí GPL pro
unixovské systémy). Mimo jiné poskytuje podporu pro dekódování (a přehrávání)
mnoha dnes dostupnými audio a video kodeky jako jsou např. mpeg-4 (DivX),
mpeg-2 (DVD, SVCD), mpeg-1 (VCD), Quicktime a RealMedia. Tato knihovna používá
četné procesorově závislé optimalizace k dosažení plynulého přehrávání a
zmenšení celkového nároku na výkon procesoru.

Dokud to bude ve shodě s GPL, neváhejte použít libxine ve vašich vlastních
projektech. Více informací o GPL licenci můžete nalézt na
http://www.gnu.org/licenses/gpl.html.

%description devel -l de
Dieses Paket enthält die Headerdateien und Dokumentationen, um Programme
mit libxine entwickeln zu können.

libxine ist das Herzstück von xine (einem freien, GPL lizensiertem Audio- und
Video-Abspielprogramm für unixartige Systeme). libxine stellt die Funktionen
zur Dekodierung und Wiedergabe vieler aktueller Audio- und Videocodecs zur
Verfügung, wie z.B. MPEG-4 (DivX), MPEG-2 (DVD, SVCD) und MPEG-1 (VCD),
Quicktime und RealMedia um nur einige zu nennen.
Die Bibliothek enthält und benutzt eine Vielzahl von prozessorspezifischen
Optimierungen, um eine flüssige Wiedergabe mit minimaler Prozessorbelastung
gewährleisten zu könnnen.

Zögern Sie nicht libxine in Ihren eigenen Projekten zu nutzen. Beachten Sie
hierzu jedoch die in der GPL Lizenz vereinbarten Bestimmungen. Weitere
Informationen zur GPL-Lizenz finden Sie unter http://www.gnu.org/licenses/gpl.html

%description devel -l fi
libxine on xinen sydän (vapaa GPL-linsensoitu videosoitinohjelma Unix-tyylisille
käyttöjärjestelmille), joka muun muassa tarjoaa mahdollisuudet pakatun videon
ja äänen purkamiseen (sekä näyttämiseen) suurimmalla osalla nykyaikaista äänen-
ja kuvanpakkausformaateista.
Tällaisia ovat mpeg-4 (DivX;-)), mpeg-2 (DVD, SVCD), mpeg-1 (VCD) muutamia
mainitaksemme. xinen purkukirjasto käyttää monia matalan tason prosessoripohjaisia
optimisaatiomenetelmiä tarjotakseen sulavan kuvantoistokokemuksen. Tämä on tarpeen
myös minimoimaan tarvittavaa prosessoritehoa.

Olet tervetullut käyttämään libxine:a omissa projekteissasi kunhan ne ovat GPL-
lisenssin kanssa yhteensopivia. lisätietoja GPL-lisenssistä löytyy osoitteesta:
http://www.gnu.org/licenses/gpl.html
%endif


%if %BUILD_SDL
%package sdl
# Packmandesc: Video-output-plugin, using the SDL-library.
# Packmandesc_de: Enthaelt ein Videoausgabe-Plugin, welches zur Ausgabe die SDL Library verwendet.
# Packmandepends: libxine1
Summary:        libxine video output plugin for SDL-library (Simple DirectMedia Layer)
Summary(cs):    Videovýstupní modul libxine pro knihovnu SDL (Simple DirectMedia Layer)
Summary(de):    libxine Videoausgabeplguin für SDL-Bibliothek (Simple DirectMedia Layer)
Summary(fi):    libxine-Videolisdke SDL grafiikkakirjastolle (Simple DirectMedia Layer)
Group:          Development/Libraries
Obsoletes:      xine-lib-sdl
Obsoletes:      libxine0-sdl
Requires:       %{libname} = %{version}-%{release}
BuildPreReq:    SDL
BuildPreReq:    SDL-devel
Requires:       SDL

%description sdl
libxine video output plugin for SDL-library (Simple DirectMedia Layer)

%description sdl -l cs
Videovýstupní modul libxine pro knihovnu SDL (Simple DirectMedia Layer).

%description sdl -l de
libxine Videoausgabeplguin für SDL-Bibliothek (Simple DirectMedia Layer)

%description sdl -l fi
libxine-Videolisdke SDL-grafiikkakirjastolle (Simple DirectMedia Layer)
%endif

%if %BUILD_AA
%package aa
# Packmandesc: Contains a video-output-plugin, which displays the movie as ascii-art, so you can play DVD-video on text-console.
# Packmandesc_de: Enthaelt ein Videoausgabe-Plugin, welches die Grafik in ASCII-Art umsetzt und so Video-DVD-Vergnuegen auch auf der Textkonsole ermoeglicht.
# Packmandepends: aalib libxine1
Summary:        libxine video output plugin for aa-library (ASCII Art)
Summary(cs):    Videovýstupní modul libxine pro knihovnu aa (ASCII Art)
Summary(de):    libxine Videoausgabeplugin für aa-Bibliothek (ASCII Art)
Summary(fi):    libxine-Videolisdke aa-grafiikkakirjastolle (ASCII Art)
Group:          Development/Libraries
Obsoletes:      xine-lib-aa
Obsoletes:      libxine0-aa
Obsoletes:      xine-extra
Provides:       xine-extra
Requires:       %{libname} = %{version}-%{release}
Requires:       aalib >= 1.4
Requires:       slang

%description aa
libxine video output plugin for aa-library (ASCII Art)

%description aa -l cs
Videovýstupní modul libxine pro knihovnu aa (ASCII Art).

%description aa -l de
libxine Videoausgabeplugin für aa-Bibliothek (ASCII Art)

%description aa -l fi
libxine-Videolisdke aa-grafiikkakirjastolle (ASCII Art)
%endif

%if %BUILD_SYNCFB
%package syncfb
# Packmandesc: Contains a video-output-plugin using advanced framebuffer output on Matrox-cards
# Packmandesc_de: Enthaelt ein Videoausgabe-Plugin, welches bei Matrox-Grafikkarten beschleunigte Videowiederabe per Framebuffer erlaubt.
# Packmandepends: libxine1
Summary:        libxine video output plugin using synchroniced framebuffer (Matrox cards)
Summary(cs):    Videovýstupní modul libxine používající framebuffer (karty Matrox)
Summary(de):    libxine Videoausgabeplugin per synchronisiertem Framebuffer (Matrox Karten)
Summary(fi):    libxine-Videolisdke Matrox-ndyttvkorttien synkronisoitua ndyttvmuistia varten.
Group:          Development/Libraries
Obsoletes:      libxine0-syncfb
Requires:       %{libname} = %{version}-%{release}
Requires:       zlib

%description syncfb
libxine video output plugin using synchroniced framebuffer (Matrox cards)

%description syncfb -l cs
Videovýstupní modul libxine, který používá synchronizovaný framebuffer (karty
Matrox).

%description syncfb -l de
libxine Videoausgabeplugin per synchronisiertem Framebuffer (Matrox Karten)

%description syncfb -l fi
libxine-Videolisdke Matrox-ndyttvkorttien synkronisoitua ndyttvmuistia varten.
%endif

%if %BUILD_DVB
%package dvb
# Packmandesc: Plugin, that makes it possible to watch TV, using xine. You need a digital TV-card like the Hauppauge WinTV Nova.
# Packmandesc_de: Plugin, welches es ermoeglicht, mit xine fern zu sehen. Voraussetzung ist eine digitale TV-Karte wie die Hauppauge WinTV Nova.
# Packmandepends: libxine1
Summary:        libxine input plugin for DigitalTV devices
Summary(cs):    Vstupní modul libxine pro karty digitální TV
Summary(de):    libxine Einabeplugin für digitale TV-Karten
Summary(fi):    libxine-Lukulisdke, jolla kdyttdjd voi katsella DigitalTV-korttien ohjelmia
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Requires:       zlib

%description dvb
libxine input plugin for Digital TV (Digital Video Broadcast - DVB) devices
e.g. Hauppauge WinTV Nova supported by DVB drivers from Convergence

%description dvb -l cs
Vstupní modul libxine pro karty digitální televize (Digital Video Broadcast -
DVB) jako je např. Hauppauge WinTV Nova podporovaná ovladači DVB od
Convergence.

%description dvb -l de
libxine Eingabeplugin für digitale TV-Karten (Digital Video Broadcast - DVB)
z.B. wird die Hauppauge WinTV Nova von Convergence unterstützt.

%description dvb -l fi
libxine-Lukulisdke, jolla kdyttdjd voi katsella DigitalTV-korttien ohjelmia
Esimerkiksi Haupaugen WinTV kortit ovat tuettuja DVB ajureilla.
%endif

%if %BUILD_GNOME_VFS
%package gnome-vfs
# Packmandesc: Inputplugin for totem (a gnome-frontend), needs a lot gnome/gnome2 packages.
# Packmandesc_de: Eingabeplugin fuer totem (ein Gnome Frontend), benoetigt jede Menge gnome/gnome2 Pakete.
# Packmandepends: libxine1
Summary:        libxine input plugin for totem (a gnome frontend)
Summary(cs):    Vstupní modul libxine pro totem (frontend GNOME)
Summary(de):    libxine Einabeplugin für totem (ein Gnome Frontend)
Summary(fi):    libxine-Lukulisdke Totem ohjelmaa varten, joka on libxine:n Gnome2 kdyttvliittymd
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
BuildPreReq:    glib2
BuildPreReq:    glib2-devel
BuildPreReq:    gnome-vfs2
BuildPreReq:    gnome-vfs2-devel
BuildPreReq:	gconf2-devel
BuildPreReq:    libbonobo
BuildPreReq:    libbonobo-devel
BuildPreReq:    orbit2
BuildPreReq:    orbit2-devel
Requires:       glib2
Requires:       gnome-vfs2
Requires:       libbonobo
Requires:       orbit2

%description gnome-vfs
libxine input plugin for totem (a gnome frontend)

%description gnome-vfs -l cs
Vstupní modul libxine pro totem (frontend GNOME).

%description gnome-vfs -l de
libxine Einabeplugin für totem (ein Gnome Frontend)

%description gnome-vfs -l fi
libxine-Lukulisdke Totem ohjelmaa varten, joka on libxine Gnome2 kdyttvliittymd
%endif

%if %BUILD_DIRECTFB
%package directfb
# Packmandesc: Contains a video-output-plugin using advanced framebuffer output with libdirectfb
# Packmandesc_de: Enthaelt ein Videoausgabe-Plugin, welches bei Videowiederabe per Framebuffer mit der libdirectfb erlaubt.
# Packmandepends: libxine1
Summary:        libxine video output plugin using libdirectfb
Summary(cs):    Videovýstupní modul libxine používající libdirectfb
Summary(de):    libxine Videoausgabeplugin per libdirectfb
Group:          Development/Libraries
BuildPreReq:    DirectFB
Requires:       %{libname} = %{version}-%{release}
Requires:       DirectFB

%description directfb
libxine video output plugin using libdirectfb

%description directfb -l cs
Videovýstupní modul libxine, který používá libdirectfb.

%description directfb -l de
libxine Videoausgabeplugin per libdirectfb
%endif

%if %BUILD_STK
%package stk
# Packmandesc: video output plugin using libstk (Set-top Toolkit)
# Packmandesc_de: Videoausgabeplugin per libstk (Set-top Toolkit)
# Packmandepends: libstk libxine1
Summary:        libxine video output plugin using libstk
Summary(cs):    Videovýstupní modul libxine používající libstk
Summary(de):    libxine Videoausgabeplugin per libstk
Group:          Development/Libraries
BuildPreReq:    boost
BuildPreReq:    boost-devel
BuildPreReq:    freetype2
BuildPreReq:    freetype2-devel
BuildPreReq:    libstk
BuildPreReq:    libstk-devel
Requires:       %{libname} = %{version}-%{release}
Requires:       boost
Requires:       freetype2
Requires:       libstk

%description stk
libxine video output plugin using libstk (Set-top Toolkit)

%description stk -l cs
Videovýstupní modul libxine, který používá libstk.

%description stk -l de
libxine Videoausgabeplugin per libstk (Set-top Toolkit)
%endif

%if %BUILD_DXR3
%ifarch i386 i486 i586 i686 i786 i868 i986 k6 k7 athlon x86_64 amd64 ia32e
%package dxr3
# Packmandesc: Contains a video-output-plugin, to play video-dvds using a dxr3-decoder card.
# Packmandesc_de: Enthaelt ein Videoausgabe-Plugin, welches mit Hilfe einer dxr3-MPEG-Encoderkarte auch betagte Rechnern noch DVD-Video-faehig macht.
# Packmandepends: libfame em8300 libxine1
Summary:        libxine video output plugin using mpeg2 decoding cards with dxr3 decoder-chip
Summary(cs):    Videovýstupní modul libxine používající karty s čipem DXR3
Summary(de):    libxine Videoausgabeplugin, nutzt MPEG2-decoder-Karten mit dxr3 Decoder-Chip
Summary(fi):    libxine-Videolisdke MPEG2-videopurkukorteille, joissa on DXR3 purkusiru
Group:          Development/Libraries
Obsoletes:      xine-lib-dxr3
Obsoletes:      libxine0-dxr3
%ifarch i386 i486 i586 i686 i786 i868 i986 k6 k7 athlon ppc
BuildPreReq:    libfame
BuildPreReq:    libfame-devel
%endif
Requires:       %{libname} = %{version}-%{release}
%ifarch i386 i486 i586 i686 i786 i868 i986 k6 k7 athlon ppc
Requires:       libfame
%endif

%description dxr3
libxine video output plugin using mpeg2 decoding cards with dxr3 decoder-chip

%description dxr3 -l cs
Videovýstupní modul libxine používající karty, které dekódují MPEG2 pomocí čipu
DXR3.

%description dxr3 -l de
libxine Videoausgabeplugin, nutzt MPEG2-decoder-Karten mit dxr3 Decoder-Chip

%description dxr3 -l fi
libxine-Videolisdke MPEG2-videopurkukorteille, joissa on DXR3 purkusiru
%endif
%endif

%if %BUILD_XVMC
%ifarch i386 i486 i586 i686 i786 i868 i986 k6 k7 athlon x86_64 amd64 ia32e
%package xvmc
# Packmandesc: video output plugin using XVideo-extension with motion compensation.
# Packmandesc_de: Videoausgabeplugin per XVideo-Erweiterung mit Motion Compensation.
# Packmandepends: libxine1
Summary:        libxine video output plugin using XVideo-extension with motion compensation
Summary(cs):    Videovýstupní modul libxine používající rozšíření XVideo MC
Summary(de):    libxine Videoausgabeplugin per XVideo-Erweiterung mit Motion Compensation
Group:          Development/Libraries
Obsoletes:      libxine0-xvmc
Autoreqprov:    Off
Requires:       %{libname} = %{version}-%{release}

%description xvmc
libxine video output plugin using XVideo-extension with motion compensation

%description xvmc -l cs
Videovýstupní modul libxine, který používá rozšíření XVideo s kompenzací pohybu.

%description xvmc -l de
libxine Videoausgabeplugin per XVideo-Erweiterung mit Motion Compensation
%endif
%endif

%prep
%setup -q -n xine-lib-1-rc7

%build
export CFLAGS="${RPM_OPT_FLAGS}"

if [ ! -f configure ]; then
   NO_CONFIGURE=1 ./autogen.sh
fi

#
# currently we do not use %%configure as it seems to cause trouble with
# certain automake produced configure scripts - depending on automake version.
# Use BUILD_ARGS envvar to pass extra parameters to configure (like --enable-dha-mod/etc...)
#
./configure --build=%{_target_platform} --prefix=%{_prefix} \
            --exec-prefix=%{_exec_prefix} --bindir=%{_bindir} \
            --sbindir=%{_sbindir} --sysconfdir=%{_sysconfdir} \
            --datadir=%{_datadir} --includedir=%{_includedir} \
            --libdir=%{_libdir} --libexecdir=%{_libexecdir} \
            --localstatedir=%{_localstatedir} \
            --sharedstatedir=%{_sharedstatedir} --mandir=%{_mandir} \
            --infodir=%{_infodir} \
            --with-internal-vcdlibs

# Error in libfaad when compiling with mmx or sse enabled, remove it
mv src/libfaad/Makefile src/libfaad/Makefile_save
cat src/libfaad/Makefile_save | sed -e "s/-mmmx/-mno-mmx/g" -e "s/-msse/-mno-sse/g" > src/libfaad/Makefile

make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{?buildroot:%{buildroot}} LIBRARY_PATH=%{?buildroot:%{buildroot}}%{_libdir} install

cd ${RPM_BUILD_ROOT}

echo "%defattr(-,root,root)" > ${RPM_BUILD_DIR}/filelist_libxine1_zw
%if %BUILD_DEVEL
echo "%doc README TODO AUTHORS COPYING ChangeLog" >> ${RPM_BUILD_DIR}/filelist_libxine1_zw
%else
echo "%doc README TODO AUTHORS COPYING ChangeLog doc/hackersguide/*.sgml doc/hackersguide/*.fig doc/hackersguide/README" >> ${RPM_BUILD_DIR}/filelist_libxine1_zw
%endif
find . -type f | sed 's,^\.%{_datadir}/doc,\%doc %{_datadir}/doc,' | sed 's,^\.,,' >> ${RPM_BUILD_DIR}/filelist_libxine1_zw
find . -type l | sed 's,^\.%{_datadir}/doc,\%doc %{_datadir}/doc,' | sed 's,^\.,,' >> ${RPM_BUILD_DIR}/filelist_libxine1_zw
grep -v "/man/" ${RPM_BUILD_DIR}/filelist_libxine1_zw | cat - > ${RPM_BUILD_DIR}/filelist_libxine1
grep "/man/" ${RPM_BUILD_DIR}/filelist_libxine1_zw | sed -e 's/$/\*/g' | cat - >> ${RPM_BUILD_DIR}/filelist_libxine1
rm ${RPM_BUILD_DIR}/filelist_libxine1_zw

%if %BUILD_DEVEL
echo "%defattr(-,root,root)" > ${RPM_BUILD_DIR}/filelist_libxine1_devel
echo "%doc doc/hackersguide/*.sgml doc/hackersguide/*.fig doc/hackersguide/README" >> ${RPM_BUILD_DIR}/filelist_libxine1_devel
mv ${RPM_BUILD_DIR}/filelist_libxine1 ${RPM_BUILD_DIR}/filelist_libxine1_old
grep -E "/include/|dhahelper\.o|libxine*\.(so|la)$|\.m4$" ${RPM_BUILD_DIR}/filelist_libxine1_old | cat - >> ${RPM_BUILD_DIR}/filelist_libxine1_devel
grep -v -E "/include/|dhahelper\.o|libxine*\.(so|la)$|\.m4$" ${RPM_BUILD_DIR}/filelist_libxine1_old | cat - > ${RPM_BUILD_DIR}/filelist_libxine1
rm ${RPM_BUILD_DIR}/filelist_libxine1_old
%endif

%if %BUILD_DXR3
%ifarch i386 i486 i586 i686 i786 i868 i986 k6 k7 athlon x86_64 amd64 ia32e
echo "%defattr(-,root,root)" > ${RPM_BUILD_DIR}/filelist_libxine1_dxr3
mv ${RPM_BUILD_DIR}/filelist_libxine1 ${RPM_BUILD_DIR}/filelist_libxine1_old
grep "dxr3" ${RPM_BUILD_DIR}/filelist_libxine1_old | cat - >> ${RPM_BUILD_DIR}/filelist_libxine1_dxr3
grep -v "dxr3" ${RPM_BUILD_DIR}/filelist_libxine1_old | cat - > ${RPM_BUILD_DIR}/filelist_libxine1
rm ${RPM_BUILD_DIR}/filelist_libxine1_old
%endif
%endif

%if %BUILD_SDL
echo "%defattr(-,root,root)" > ${RPM_BUILD_DIR}/filelist_libxine1_sdl
mv ${RPM_BUILD_DIR}/filelist_libxine1 ${RPM_BUILD_DIR}/filelist_libxine1_old
grep "xineplug_vo_out_sdl\." ${RPM_BUILD_DIR}/filelist_libxine1_old | cat - >> ${RPM_BUILD_DIR}/filelist_libxine1_sdl
grep -v "xineplug_vo_out_sdl\." ${RPM_BUILD_DIR}/filelist_libxine1_old | cat - > ${RPM_BUILD_DIR}/filelist_libxine1
rm ${RPM_BUILD_DIR}/filelist_libxine1_old
%endif

%if %BUILD_AA
echo "%defattr(-,root,root)" > ${RPM_BUILD_DIR}/filelist_libxine1_aa
mv ${RPM_BUILD_DIR}/filelist_libxine1 ${RPM_BUILD_DIR}/filelist_libxine1_old
grep "xineplug_vo_out_aa\."  ${RPM_BUILD_DIR}/filelist_libxine1_old | cat - >> ${RPM_BUILD_DIR}/filelist_libxine1_aa
grep -v "xineplug_vo_out_aa\." ${RPM_BUILD_DIR}/filelist_libxine1_old | cat - > ${RPM_BUILD_DIR}/filelist_libxine1
rm ${RPM_BUILD_DIR}/filelist_libxine1_old
%endif

%if %BUILD_SYNCFB
echo "%defattr(-,root,root)" > ${RPM_BUILD_DIR}/filelist_libxine1_syncfb
mv ${RPM_BUILD_DIR}/filelist_libxine1 ${RPM_BUILD_DIR}/filelist_libxine1_old
grep -E "xineplug_vo_out_syncfb\.|README\.syncfb" ${RPM_BUILD_DIR}/filelist_libxine1_old | cat - >> ${RPM_BUILD_DIR}/filelist_libxine1_syncfb
grep -v -E "xineplug_vo_out_syncfb\.|README\.syncfb" ${RPM_BUILD_DIR}/filelist_libxine1_old | cat - > ${RPM_BUILD_DIR}/filelist_libxine1
rm ${RPM_BUILD_DIR}/filelist_libxine1_old
%endif

%if %BUILD_DIRECTFB
echo "%defattr(-,root,root)" > ${RPM_BUILD_DIR}/filelist_libxine1_directfb
mv ${RPM_BUILD_DIR}/filelist_libxine1 ${RPM_BUILD_DIR}/filelist_libxine1_old
grep -E "xineplug_vo_out_directfb\." ${RPM_BUILD_DIR}/filelist_libxine1_old | cat - >> ${RPM_BUILD_DIR}/filelist_libxine1_directfb
grep -v -E "xineplug_vo_out_directfb\." ${RPM_BUILD_DIR}/filelist_libxine1_old | cat - > ${RPM_BUILD_DIR}/filelist_libxine1
rm ${RPM_BUILD_DIR}/filelist_libxine1_old
%endif

%if %BUILD_STK
echo "%defattr(-,root,root)" > ${RPM_BUILD_DIR}/filelist_libxine1_stk
mv ${RPM_BUILD_DIR}/filelist_libxine1 ${RPM_BUILD_DIR}/filelist_libxine1_old
grep -E "xineplug_vo_out_stk\." ${RPM_BUILD_DIR}/filelist_libxine1_old | cat - >> ${RPM_BUILD_DIR}/filelist_libxine1_stk
grep -v -E "xineplug_vo_out_stk\." ${RPM_BUILD_DIR}/filelist_libxine1_old | cat - > ${RPM_BUILD_DIR}/filelist_libxine1
rm ${RPM_BUILD_DIR}/filelist_libxine1_old
%endif

%if %BUILD_XVMC
%ifarch i386 i486 i586 i686 i786 i868 i986 k6 k7 athlon x86_64 amd64 ia32e
echo "%defattr(-,root,root)" > ${RPM_BUILD_DIR}/filelist_libxine1_xvmc
mv ${RPM_BUILD_DIR}/filelist_libxine1 ${RPM_BUILD_DIR}/filelist_libxine1_old
grep "xineplug_vo_out_xvmc\." ${RPM_BUILD_DIR}/filelist_libxine1_old | cat - >> ${RPM_BUILD_DIR}/filelist_libxine1_xvmc
grep -v "xineplug_vo_out_xvmc\." ${RPM_BUILD_DIR}/filelist_libxine1_old | cat - > ${RPM_BUILD_DIR}/filelist_libxine1
rm ${RPM_BUILD_DIR}/filelist_libxine1_old
%endif
%endif

%if %BUILD_DVB
echo "%defattr(-,root,root)" > ${RPM_BUILD_DIR}/filelist_libxine1_dvb
mv ${RPM_BUILD_DIR}/filelist_libxine1 ${RPM_BUILD_DIR}/filelist_libxine1_old
grep -E "xineplug_inp_dvb\.|README\.dvb" ${RPM_BUILD_DIR}/filelist_libxine1_old | cat - >> ${RPM_BUILD_DIR}/filelist_libxine1_dvb
grep -v -E "xineplug_inp_dvb\.|README\.dvb" ${RPM_BUILD_DIR}/filelist_libxine1_old | cat - > ${RPM_BUILD_DIR}/filelist_libxine1
rm ${RPM_BUILD_DIR}/filelist_libxine1_old
%endif

%if %BUILD_GNOME_VFS
echo "%defattr(-,root,root)" > ${RPM_BUILD_DIR}/filelist_libxine1_gnome_vfs
mv ${RPM_BUILD_DIR}/filelist_libxine1 ${RPM_BUILD_DIR}/filelist_libxine1_old
grep "xineplug_inp_gnome_vfs\." ${RPM_BUILD_DIR}/filelist_libxine1_old | cat - >> ${RPM_BUILD_DIR}/filelist_libxine1_gnome_vfs
grep -v "xineplug_inp_gnome_vfs\." ${RPM_BUILD_DIR}/filelist_libxine1_old | cat - > ${RPM_BUILD_DIR}/filelist_libxine1
rm ${RPM_BUILD_DIR}/filelist_libxine1_old
%endif

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f ../filelist_libxine1

%if %BUILD_DEVEL
%files devel -f ../filelist_libxine1_devel
%endif

%if %BUILD_DXR3
%ifarch i386 i486 i586 i686 i786 i868 i986 k6 k7 athlon x86_64 amd64 ia32e
%files dxr3 -f ../filelist_libxine1_dxr3
%endif
%endif

%if %BUILD_SDL
%files sdl -f ../filelist_libxine1_sdl
%endif

%if %BUILD_AA
%files aa -f ../filelist_libxine1_aa
%endif

%if %BUILD_SYNCFB
%files syncfb -f ../filelist_libxine1_syncfb
%endif

%if %BUILD_DIRECTFB
%files directfb -f ../filelist_libxine1_directfb
%endif

%if %BUILD_STK
%files stk -f ../filelist_libxine1_stk
%endif

%if %BUILD_XVMC
%ifarch i386 i486 i586 i686 i786 i868 i986 k6 k7 athlon x86_64 amd64 ia32e
%files xvmc -f ../filelist_libxine1_xvmc
%endif
%endif

%if %BUILD_DVB
%files dvb -f ../filelist_libxine1_dvb
%endif

%if %BUILD_GNOME_VFS
%files gnome-vfs -f ../filelist_libxine1_gnome_vfs
%endif

%changelog
* Mon Nov 08 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 1_rc7
* Thu Sep 16 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 1_rc6a
* Fri Sep 03 2004 František Dvořák <valtri@users.sourceforge.net>
- Czech translation update
* Thu Sep 02 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- konverted to UTF8
- some fixes for non IA32 systems (especialy Athlon64/Opteron)
* Mon Jun 21 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 1_rc5
* Thu May 13 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 1_rc4a
* Sat May 01 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- activated opengl plugin
* Thu Apr 29 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 1_rc4
* Thu Apr 08 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 1_rc3c
* Tue Apr 06 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- removed xvid modules from -devel package and put it back
  to main package.
* Thu Mar 18 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 1_rc3b
* Fri Feb 13 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added new sub-rpm for stk videoout plugin
* Sun Dec 28 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 1_rc3a
* Tue Dec 16 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 1_rc3
* Fri Nov 21 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- use internal vcdlibs to keep dependencies low
* Sun Oct 26 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 1_rc2
* Sun Oct 19 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added separate directfb-package to solve dependendies
* Tue Oct 07 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- activated separte xvmc package, when this is wanted.
* Sun Oct 05 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 1_rc1
* Mon Aug 04 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 1_rc0a
* Fri Aug 01 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 1_rc0
* Sun Jul 20 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- made ogg-package out of oggvorbis, oggtheora and the new
  oggspeex xine-plugins
* Sat May 24 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- complete rework of the specfile
* Mon May 12 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 1_beta12
* Tue Apr 29 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 1_beta11
* Tue Apr 08 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 1_beta10
* Sat Mar 22 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 1_beta9
* Sat Mar 15 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- dxr3 reaktivated for all systems
* Sat Mar 08 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added some more translation for finnish by Tuukka Pasanen <illuusio@mailcity.com>
- added missing doc-files
- Update for libxine 1.0beta8
* Sat Mar 08 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update for libxine 1.0beta7
* Wed Mar 05 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- dxr3 modul is only build for ia32, deactivated for other architectures
* Tue Feb 25 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update for libxine 1.0beta6
* Fri Feb 21 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update for libxine 1.0beta5
* Wed Jan 29 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to beta3 (didn't compile) and beta4
* Sat Jan 26 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- separated gnome-vfs, oggvorbis and flac package
* Wed Jan 15 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- removed man3 manpages in devel-filelist
* Thu Jan 02 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update for libxine 1.0beta2
- new driver for dvb cards
- little patch for libfaad (problems when compiling with mmx)
* Tue Dec 24 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update for libxine 1.0beta1
* Wed Dec 11 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update for libxine 1.0beta1, fonts-directory has been changed
* Sat Dec 07 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added translation for finnish by Tuukka Pasanen <illuusio@mailcity.com>
- some updates to german and english descriptions
- added post-directory to file-list
* Fri Dec 06 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to libxine 1.0alpha3
* Wed Nov 27 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to libxine 1.0alpha2
* Sun Nov 17 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Split in different packages
* Sat Nov 09 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Final changes for libxine 1.0alpha1
* Mon Nov 04 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- another change to make it run with next version
* Sat Nov 02 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Changes for next xine version
* Sun Oct 27 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update of the german descriptions.
* Thu Jun 06 2002 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- ability to pass args to configure. Fix vidix/dhahelper inclusion.
* Mon May 27 2002 Matthias Dahl <matthew2k@web.de>
- added passing of build parameter to configure
* Sun May 26 2002 Matthias Dahl <matthew2k@web.de>
- added german translations by Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added fixes (missing -l cs) by Manfred Tremmel <Manfred.Tremmel@iiv.de>
* Sat May 18 2002 Matthias Dahl <matthew2k@web.de>
- added czech translations by valtri@atlas.cz
* Thu May 16 2002 Matthias Dahl <matthew2k@web.de>
- replaced %configure because it was causing trouble on certain configurations
* Sat May 11 2002 Matthias Dahl <matthew2k@web.de>
- reworked/revamped spec file, still needs some tuning (BuildPreReq, ...)
* Thu May 2 2002 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- sync with new logo stuff.
* Wed May 1 2002 Matthias Dahl <matthew2k@web.de>
- added cinepak, cyuv and msvc decode plugins
- commented out sdl related parts because this is currently broken in xine-lib
- added 'cs,pl_PL' translation catalogs
* Sun Mar 31 2002 Matthias Dahl <matthew2k@web.de>
- added mms input plugin, spucc decoder and missing xine_logo.zyuy2.
- commented out video fill decoder for now as it seems to be no longer built
* Wed Feb 6 2002 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- added 'de,fr,pt_BR' translation catalogs.
* Sat Dec 26 2001 Matthias Dahl <matthew2k@web.de>
- added sputext decode plugin and fonts.
* Sat Dec 8 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- ASF plugin is optional.
* Thu Dec 6 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Add cda plugins.
* Wed Nov 14 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- fixed dxr3 header files inclusion, aalib deps: thanks to Andrew Meredith <andrew@anvil.org>.
* Mon Oct 29 2001 Matthias Dahl <matthew2k@web.de>
- added http input plugin
* Thu Oct 18 2001 Matthias Dahl <matthew2k@web.de>
- added asf demuxer plugin
* Sun Oct 14 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- move vorbis in separate package. Add DivX4 decoder plugin.
* Wed Oct 10 2001 Matthias Dahl <matthew2k@web.de>
- added vorbis files and missing man pages to filelist.
* Thu Sep 27 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Add desktop stuff from patches by Miguel Freitas <miguel@cetuc.puc-rio.br>
- Fixed xine.m4 installation from Andrew Meredith <andrew@anvil.org>
* Fri Sep 21 2001 Matthias Dahl <matthew2k@web.de>
- added two missing files (xine-config man page and xine.m4)
* Sun Sep 16 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Merge patch from Jos�Carlos Monteiro <jcm@netcabo.pt>:
  - Filelist and other minor updates,
  - Fixed some SuSE compatibility issues,
  - Added Portuguese summary.
* Sun Sep 16 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Add missing files.
* Sun Aug 19 2001 Matthias Dahl <matthew2k@web.de>
- The usual update to the filelist :)
- temporarily removed mpg123 decoder plugin from filelist cause it is not
  built with the recent CVS tree
* Thu Jul 26 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- Made oss, aa, xv, esd, w32dll, documentation as separate packages.
* Thu Jul 26 2001 Matthias Dahl <matthew2k@web.de>
- added seperate arts package and one missing demuxer plugin to filelist
* Wed Jul 18 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- list all plugins to avoid *strange* inclusion ;-).
* Sun Jun 10 2001 Matthias Dahl <matthew2k@web.de>
- updated filelist
- re-activated execution of /sbin/ldconfig as post install script
* Thu Mar 28 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- add korean summary, patch from Louis JANG <louis@ns.mizi.com>
* Thu Jan 11 2001 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- patch from Sung-Hyun Nam <namsh@lgic.co.kr> applied.
* Fri Oct 17 2000 Daniel Caujolle-Bert <f1rmb@users.sourceforge.net>
- first spec file.
